# TapTap SDK

## 1. 概述

`com.taptap.minigame` 新增了 TapTap 自定义接口，可以构建并生成 TapTap 小游戏。

注意：本包无法与wx sdk、minihost sdk插件兼容，需要在Package Manager中手动卸载wx sdk和minihost sdk。

## 2. 如何导入该包

- 打开 Tuanjie，导航到 `Window` > `Package Manager`。
- 点击左上角的 `+` 图标，选择 `Add package from disk...`。
- 选择本包内的`package.json`导入。
- 导入成功后菜单栏中出现 “TapTap 小游戏”。

## 3. 使用方法

1. 点击菜单栏中的 “TapTap 小游戏 > 构建” ，弹出构建工具面板

   ![](./images/1.png)

2. 在面板中填写必要信息和配置，设置导出路径，完成后点击“生成 TapTap 小游戏”

   ![](./images/2.png)

3. 等待构建完成后，打开导出路径文件夹，其中 game.zip 和 game_wasm_split.zip 是 TapTap 小游戏压缩包，可上传至 TapTap 平台。

   ![](./images/3.png)

## 4. Tap C# 接口

C# SDK 版本的 API 与 [小游戏 API 文档](https://developer.taptap.cn/minigameapidoc/%E5%BC%80%E5%8F%91%E5%B0%8F%E6%B8%B8%E6%88%8F/%E5%B0%8F%E6%B8%B8%E6%88%8F%20API/base/system/tap.openSystemBluetoothSetting.html) 中的 JS 版本 API 类似，可参考使用。

例如： 打开分享面板

#### javascript 调用

tap.showShareboard(Object object)

Object 定义
| 字段 | 类型 | 必要 | 说明 |
|-------|-------|-------|-------|
| title | string | 否 | 分享标题 |
| desc | string | 否 | 分享文案 |
| success | function | 否 | 成功回调 |
| fail | function | 否 | 失败回调 |
| complete | function | 否 | 完成回调 |

`success` 和 `fail` 的回调参数 res

| 字段   | 类型   | 说明     |
| ------ | ------ | -------- |
| errNo  | string | 错误码   |
| errMsg | string | 错误信息 |

```javascript
// 展示分享面板
tap.showShareboard(
  title: "分享标题",
  desc: "分享文案",
  success: function (res) {
    console.log(res.errMsg);
  },
  fail: function (res) {
    console.log(res.errNo, res.errMsg);
  },
  complete: function () {
  }
);
```

#### C#调用

```CS
using TapTapMiniGame;

Tap.ShowShareboard(new ShowShareboardOption
{
    title = "分享标题",
    desc = "分享文案",
    success = (res) =>
    {
        Debug.Log("[ShowShareboard] success:"+ res.errMsg);
    },
    fail = (res) =>
    {
        Debug.Log("[ShowShareboard] fail:" + res.errMsg);
    },
    complete = () =>
    {
        Debug.Log("[ShowShareboard] complete");
    }
});
```

## 5. FAQ

**1. `error CS0433: The type 'xxx' exists in both
minihost-plugin.wxadaptor.editor, Version=1.0.0.0.0, Cultture=neutral, PublicKeyToken=null' and 'wx-runtime-edittor, Version=0.0.0.0, Culture=neutral, PublicKeyToken=ull`**

当前tap sdk无法与wx sdk、minihost sdk插件兼容，需要在Package Manager中手动卸载wx sdk和minihost sdk

**2. Linear color space 需使用Webgl2，终止导出。请在 Player Settings 的 Graphics APIs 中手动选择 WebGL 2.**

WebGL 平台下，只有 WebGL 2.0 才支持 Linear Color Space。

如果你选了 Linear，但启用了 WebGL 1.0（默认可能会勾选），就会报这个错误。

请在 Player Settings (WebGL) -> Other Settings -> Graphics APIs 列表中只保留 WebGL 2.0 ，或者更改 Color Space 为Gamma