mergeInto(LibraryManager.library, {
    formatJsonStr:function(str){
        const args = JSON.parse(str) || {};
        Object.keys(args).forEach((v) => {
            if (args[v] === null) {
                delete args[v];
            }
        });
        return args;
    },
    Tap_SetShareboardHidden: function (str, callbackId) {
        const args = _formatJsonStr(_TJPointer_stringify_adaptor(str));

        tap.setShareboardHidden(Object.assign(args, {
            success: function (res) {
                SendMessage("TapManagerHandler", "ShareboardCallback", JSON.stringify({
                    callbackId: _TJPointer_stringify_adaptor(callbackId),
                    type: "success",
                    res: JSON.stringify(res)
                }));
            },
            fail: function (res) {
                SendMessage("TapManagerHandler", "ShareboardCallback", JSON.stringify({
                    callbackId: _TJPointer_stringify_adaptor(callbackId),
                    type: "fail",
                    res: JSON.stringify(res)
                }));
            },
            complete: function (res) {
                SendMessage("TapManagerHandler", "ShareboardCallback", JSON.stringify({
                    callbackId: _TJPointer_stringify_adaptor(callbackId),
                    type: "complete",
                    res: JSON.stringify(res)
                }));
            }
        }));
    },
    Tap_ShowShareboard: function (str, callbackId) {
        const args = _formatJsonStr(_TJPointer_stringify_adaptor(str));

        tap.showShareboard(Object.assign(args, {
            success: function (res) {
                SendMessage("TapManagerHandler", "ShareboardCallback", JSON.stringify({
                    callbackId: _TJPointer_stringify_adaptor(callbackId),
                    type: "success",
                    res: JSON.stringify(res)
                }));
            },
            fail: function (res) {
                SendMessage("TapManagerHandler", "ShareboardCallback", JSON.stringify({
                    callbackId: _TJPointer_stringify_adaptor(callbackId),
                    type: "fail",
                    res: JSON.stringify(res)
                }));
            },
            complete: function (res) {
                SendMessage("TapManagerHandler", "ShareboardCallback", JSON.stringify({
                    callbackId: _TJPointer_stringify_adaptor(callbackId),
                    type: "complete",
                    res: JSON.stringify(res)
                }));
            }
        }));
    },
    Tap_OnShareMessage: function(){
        const listener = function(resolve, channel){
            // 保存 resolve 供后续使用
            window._tapOnShareMessageResolve = resolve;
            // 直接传入 channel 字符串给 Unity
            SendMessage("TapManagerHandler", "OnShareMessageCallback", channel);
        };
        tap.onShareMessage(listener);
    },
    Tap_OnShareMessageResolve: function(conf, callbackId){
        try {
            const args = _formatJsonStr(_TJPointer_stringify_adaptor(conf));
            // 拼接回调函数，生成一个新的对象 merged，其中 complete 也接收 res 参数
            const merged = Object.assign(args, {
                success: function(res){
                    SendMessage("TapManagerHandler", "ShareboardCallback", JSON.stringify({
                        callbackId: _TJPointer_stringify_adaptor(callbackId),
                        type: "success",
                        res: JSON.stringify(res)
                    }));
                },
                fail: function(res){
                    SendMessage("TapManagerHandler", "ShareboardCallback", JSON.stringify({
                        callbackId: _TJPointer_stringify_adaptor(callbackId),
                        type: "fail",
                        res: JSON.stringify(res)
                    }));
                },
                complete: function(res){
                    SendMessage("TapManagerHandler", "ShareboardCallback", JSON.stringify({
                        callbackId: _TJPointer_stringify_adaptor(callbackId),
                        type: "complete",
                        res: JSON.stringify(res)
                    }));
                }
            });
            if(window._tapOnShareMessageResolve){
                window._tapOnShareMessageResolve(merged);
                window._tapOnShareMessageResolve = null; // 清空缓存的 resolve
            }
        } catch(e) {
             if(window._tapOnShareMessageResolve){
                window._tapOnShareMessageResolve({});
                window._tapOnShareMessageResolve = null; // 清空缓存的 resolve
             }
        }
    },
    Tap_OffShareMessage:function(){
        tap.offShareMessage();
    }
});